/*
2000 Raveworld Networks, Inc. All rights reserved.
*/

var eqIsOpen = 4;
var plIsOpen = 4;
var noPane  = 0;
var audPane = 1;
var plPane  = 2;
var vidPane = 3;
var currentPane = 0;
var vidIsPlaying = false;
var visualIsOpen = false;
var speed = 150;

function Init()
{
    pl.setColumnResizeMode( 0, "Stretches" );
    pl.setColumnResizeMode( 1, "AutoSizeData" );
    visEffects.currentEffectType = mediacenter.effectType;
    visEffects.currentPreset = mediacenter.effectPreset;

    vidIsPlaying = (player.OpenState == osMediaOpen) &&
        (player.currentMedia.ImageSourceWidth>0);
    vidIsPlaying ? StartVideo() : EndVideo();
}

function OnClose()
{
    mediacenter.effectType = visEffects.currentEffectType;
    mediacenter.effectPreset = visEffects.currentPreset;
}

function StartVideo()
{
    vidIsPlaying = true;
    if(visualIsOpen)
    {
        ToggleVisView();
    }
    else
    {
        visEffects.visible = false;
        vid.visible = true;
    }
}

function EndVideo()
{
    visEffects.visible = true;
    vidIsPlaying =
        vid.visible = false;
}

function OpenRaveworld()
{
	player.launchURL("http://www.raveworld.net");
}

function UpdateMetadata()
{
    metadata.value =
        player.currentmedia.getiteminfo("#author");
    if(metadata.value == "")
    {
        metadata.value =
            player.currentmedia.getiteminfo("author");
    }
    if(metadata.value != "")
    {
        metadata.value += " -- ";
    }
    metadata.value += player.currentmedia.name;
    metadata.scrolling = (metadata.textWidth>metadata.width);
}

function SetOnEndMove()
{
	if(plIsOpen == 5)
	{
		pl.visible = true;
	}
}

function SetVisibility(newPane)
{
    switch(newPane)
    {
    case noPane:
			sSetView.moveto(275, 145, speed);
			plIsOpen =
				eqIsOpen = 4;
			sEqView.visible =
				pl.visible =
            sPlView.visible =
            sVideoView.visible = false;
        break;
    case plPane:
		  if(plIsOpen == 4)
		  {
	   	  sSetView.moveto(0, 0, speed);
			  sPlView.visible = true;
			  sEqView.visible =
				  sVideoView.visible = false;
			  eqIsOpen = 6;
			  currentPane = 2;
			  bBackSetting.upToolTip = "Switch To Video Settings";
			  bFwdSetting.upToolTip = "Switch To Equilizer";
			  plIsOpen = 8;
		  }
		  else if(plIsOpen == 5)
		  {
			  pl.visible =
				  sPlView.visible = false;
			  sSetView.moveto(275, 145, speed);
			  currentPane = 0;
			  plIsOpen = 7;
			  eqIsOpen = 4;
		  }
		  else
		  {
			  sPlView.visible =
				   pl.visible = true;
			  sEqView.visible =
   	         sVideoView.visible = false;
			  currentPane = 2;
		     bBackSetting.upToolTip = "Switch To Video Settings";
			  bFwdSetting.upToolTip = "Switch To Equilizer";
			  plIsOpen = 8;
		  }
		  plIsOpen = plIsOpen-3;
        break;
    case audPane:
		  if(eqIsOpen == 4)
		  {
	   	  sSetView.moveto(0, 0, speed);
			  sEqView.visible = true;
			  plIsOpen = 6;
			  eqIsOpen = 8;
			  sPlView.visible =
					sVideoView.visible = false;
			  currentPane = 1;
			  bBackSetting.upToolTip = "Switch To Playlist";
			  bFwdSetting.upToolTip = "Switch To Video Settings";
		  }
		  else if(eqIsOpen == 5)
		  {
			  sEqView.visible = false;
			  sSetView.moveto(275, 145, speed);
			  currentPane = 0;
			  eqIsOpen = 7;
			  plIsOpen = 4;
		  }
		  else
		  {
			  sEqView.visible = true;
			  pl.visible =
	 	         sPlView.visible =
   	         sVideoView.visible = false;
			  currentPane = 1;
			  bBackSetting.upToolTip = "Switch To Playlist";
			  bFwdSetting.upToolTip = "Switch To Video Settings";
			  eqIsOpen = 8;
		  }
		  eqIsOpen = eqIsOpen-3;
		  break;
    }
}

function SetVisibilityBck(newPane)
{
    switch(newPane)
    {
    case audPane:
		  plIsOpen = 5;
	     sPlView.visible =
			  pl.visible = true;
		  eqIsOpen = 6;
	     sEqView.visible =
            sVideoView.visible = false;
		  currentPane = 2;
	     bBackSetting.upToolTip = "Switch To Video Settings";
		  bFwdSetting.upToolTip = "Switch To Equilizer";
        break;
    case plPane:
        sVideoView.visible = true;
		  plIsOpen =
				eqIsOpen = 6;
  	     sEqView.visible =
				pl.visible =
            sPlView.visible = false;
		  currentPane = 3;
		  bBackSetting.upToolTip = "Switch To Equilizer";
		  bFwdSetting.upToolTip = "Switch To Playlist";
        break;
    case vidPane:
		  eqIsOpen = 5;
	     sEqView.visible = true;
		  plIsOpen = 6;
	     sPlView.visible =
				pl.visible =
            sVideoView.visible = false;
		  currentPane = 1;
		  bBackSetting.upToolTip = "Switch To Playlist";
		  bFwdSetting.upToolTip = "Switch To Video Settings";
        break;
    }
}

function SetVisibilityFwd(newPane)
{
    switch(newPane)
    {
    case audPane:
        sVideoView.visible = true;
		  eqIsOpen =
				plIsOpen = 6;
        sEqView.visible =
            sPlView.visible = false;
		  currentPane = 3;
	     bBackSetting.upToolTip = "Switch To Equilizer";
		  bFwdSetting.upToolTip = "Switch To Playlist";
        break;
    case plPane:
		  eqIsOpen = 5;
        sEqView.visible = true;
		  plIsOpen = 6;
	     sPlView.visible =
            sVideoView.visible = false;
		  currentPane = 1;
		  bBackSetting.upToolTip = "Switch To Playlist";
		  bFwdSetting.upToolTip = "Switch To Video Settings";
        break;
    case vidPane:
		  plIsOpen = 5;
        sPlView.visible =
		  pl.visible = true;
		  eqIsOpen = 6;
	     sEqView.visible =
            sVideoView.visible = false;
		  currentPane = 2;
		  bBackSetting.upToolTip = "Switch To Video Settings";
		  bFwdSetting.upToolTip = "Switch To Equilizer";
        break;
    }
}

function ToggleVisualView()
{
    if(visualIsOpen)
    {
		sVisualView.moveto(273, 261, 800);
		bVis.upToolTip = "Open Visualization Chooser";
    }
    else if(!vidIsPlaying)
    {
        sVisualView.moveto(205, 312, 800);
        bVis.upToolTip = "Close Visualization Chooser";
    }
    visualIsOpen = !visualIsOpen;
}

function VisualOnEndMove()
{
    if(vidIsPlaying)
    {
        StartVideo();
    }
}
